----------------------------------------------------------------------------------
-- Engineers: 			Derek Nguyen and Ryan Frawley
-- Create Date:    	03:53:48 12/03/2014 
-- Module Name:    	Seg
-- Project Name: 	 	TicTacToe_V2
-- Target Devices: 	Nexys FPGA
-- Description:    	This will help us display which player turn it is on the 
--							7 segment LED display of the Nexys 2/3
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;


entity Seg is
    Port ( Turn : in  STD_LOGIC_VECTOR (1 downto 0);
			  Clock : in STD_LOGIC;
           Anode : out  STD_LOGIC_VECTOR (3 downto 0);
           Segment : out  STD_LOGIC_VECTOR (7 downto 0));
end Seg;

architecture Behavioral of Seg is
signal Seg_temp : std_logic_vector(7 downto 0) := "11111111";

begin
anode <= "1110";


process (turn, clock) is
begin
	if (rising_edge(clock)) then
	if (turn = "01") then
	seg_temp <= "10011111";
	elsif (turn = "10") then
	seg_temp <= "00100101";
	else null;
	end if;
	end if;
end process;

segment <= seg_temp;

end Behavioral;

