----------------------------------------------------------------------------------
-- Engineers: 			Derek Nguyen and Ryan Frawley
-- Create Date:    	03:53:48 12/03/2014 
-- Module Name:    	D_FlipFlop
-- Project Name: 	 	TicTacToe_V2
-- Target Devices: 	Nexys FPGA
-- Description:    	Regular D - Flip Flop with reset switch
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;


entity D_FlipFlop is
	port (Enable: in std_logic;
			D 		: in std_logic;
			Reset	: in std_logic;
			Clock	: in std_logic;
			Q 		: out std_logic);
end D_FlipFlop;

architecture Behavioral of D_FlipFlop is
begin
	process (D, Clock, Reset, Enable) is
	begin
		if (rising_edge(Clock)) then 
		if (Enable = '1') then
			Q <= D;
		end if;
		if (reset = '1') then
			Q <= '0';
		else null;
		end if;
		end if;
	end process;
end Behavioral;

